import request from '/@/utils/request';

export function maintenanceEmergencyMaterialsApi() {
    return {
        //应急物资保养一览
        getMaintenanceEmergencyMaterialsList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencySuppliesMaintain/page/list',
                method: 'post',
                data: params
            });
        },
        // 应急物资保养新增
        addMaintenanceEmergencyMaterials: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesMaintain/add`,
                method: 'post',
                data: params
            });
        },
        // 应急物资保养详情
        seeMaintenanceEmergencyMaterials: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesMaintain/info/${params}`,
                method: 'get'
            });
        },
        // 应急物资保养编辑
        editMaintenanceEmergencyMaterials: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesMaintain/update`,
                method: 'post',
                data: params
            });
        },
        // 应急物资保养删除
        deleteMaintenanceEmergencyMaterials: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencySuppliesMaintain/batchDelete`,
                method: 'post',
                data: params
            });
        }
    };
}
